package webservice

import (
	// Standard
	"embed"
	"fmt"
	"net/http"
)

var (
	//go:embed static/js
	embedded embed.FS
)

func staticJSWebsocket(w http.ResponseWriter, r *http.Request) {
	contents, err := embedded.ReadFile("static/js/websocket.js")
	if err != nil {
		fmt.Println(err)
		return
	}
	w.Write(contents)
}
